local function check_platform()
    local platform_key = SystemInfo:distribution():key()

    return DLCManager.PLATFORM_CLASS_MAP[platform_key] or GenericDLCManager
end

Hooks:PostHook(check_platform(), "_check_dlc_data", "_check_dlc_data_fix_community_items_lock", function(self, dlc_data)
	local return_data = Hooks:GetReturn()

    local entitlement_id = dlc_data.entitlement_id
    if entitlement_id and entitlement_id == "b00bcc69f3d84d4784974030e5ccb512" then
        return true
    end

    local source_id = dlc_data.source_id
    if source_id and source_id == "103582791441335905" then
        return true
    end

    return return_data
end)